Bug 305411 - doesn't default select codecs
doesn't default select codecs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: codeina (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 12:08 EDT by Jeremy Katz
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.10.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-30 19:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-09-25 12:08:30 EDT
By default, no codecs are selected when you try to play an mp3.  This makes it a
bit unclear as to what you actually _want_ to get.  Especially given that one of
the other choices is the "mpeg bundle"
Comment 1 Bastien Nocera 2007-09-26 07:31:36 EDT
Maybe we should select the "free" bundles first then. But by default it only
shows relevant codecs, unless there are none. Maybe we should show a "no
relevant plugins" in the list if none are available...
Comment 2 Jeremy Katz 2007-09-26 10:34:38 EDT
I just tried to play an mp3 and the list that pops up includes the Windows Media
MMS reader.  Which really isn't needed for it.  See
http://katzj.fedorapeople.org/codecbuddy.png 
Comment 3 Bastien Nocera 2007-09-26 10:42:03 EDT
(In reply to comment #2)
> I just tried to play an mp3 and the list that pops up includes the Windows Media
> MMS reader.  Which really isn't needed for it.  See
> http://katzj.fedorapeople.org/codecbuddy.png 

Works fine here, and only shows the relevant codecs by default. Could you check
which setting is in the view menu, and what the exact command-line is for codeina?
Comment 4 Jeremy Katz 2007-09-26 11:12:29 EDT
View has "All available" as the only option and it's selected.  ps axf |grep
code shows

18693 ?        S      0:00  \_ /bin/sh /usr/libexec/gst-install-plugins-helper
--transient-for=52428803 gstreamer|0.10|totem|MPEG-1 Layer 3 (MP3)
decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3
18694 ?        S      0:00      \_ python /usr/bin/codeina
--transient-for=52428803 gstreamer|0.10|totem|MPEG-1 Layer 3 (MP3)
decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3

Note You need to log in before you can comment on or make changes to this bug.